Subject: bug#64547: `show-paren-mode` thinks that a paren is offscreen in `M-:` when it isn't

From: Okamsn <[email-masked]>
Date: Sun, 09 Jul 2023 19:49:06 +0000

Hello,

I have `show-paren-style` set to `mixed` and 
`show-paren-context-when-offscreen` set to `overlay`.

When using `eval-expression`, `show-paren` thinks that the starting 
parenthesis is offscreen.

I have attached images showing how, although I am typing on the same 
line as the parenthesis, the context overlay is still shown.

With `show-paren-when-point-inside-paren` enabled, typing before the 
closing parenthesis causes the prompt of `M-:` to be shown before 
quickly being hidden by the context overlay again. This causes text to 
quickly move side to side as I type. I have attached a screen recording 
of this movement.

This is in Emacs 29.0.92. If it is relevant, I have `line-spacing` set 
to 0.15.

Thank you.